gnutls_session_set_keylog_function(3)

NAME
gnutls_session_set_keylog_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_set_keylog_function(gnutls_session_t session, gnutls_keylog_func func);

ARGUMENTS

gnutls_session_t session
    is gnutls_session_t type

gnutls_keylog_func func
    is the function to be called

DESCRIPTION
This function will set a callback to be called when a new secret is derived and installed during handshake.

SINCE
3.6.13

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/